/*
  Name: menues.h
  Author: Master Lenman
  Project: SpeedHack 2009
  Date: 09.07.2009
  Description: All menu functions are stored in this file
*/


#ifndef MENU_NAMESPACE
#define MENU_NAMESPACE

#include <fstream>
#include "game.h"

extern BITMAP *menuBgTitle;
namespace menu
{
	//void intro();
	int main(int selection);
	int stdMenu(const int startValue, const int BUTTONS, const std::string *labels, bool *states, FONT *toUse = global.size20, int borders = 75, BITMAP *button = NULL, BITMAP *buttonpressed = NULL, BITMAP *background = NULL, int escapeKey = -1, int col_standard = -1, int col_selected = -1, int col_disabled = -1);
	void showmovie(std::string moviepath);
	void showBriefing(std::ifstream &readFile, int *targets, int *availible, int timeLimit);
	void drawMenuBg(BITMAP *target);
	void menuBgDestroy();
	int showIngameMenu();
	void showLevelResults(gameInfos &info, bool total, bool gameOverMsg = false);
	void showAchievement(int id, std::string message3 = "");
	void showEndResult(gameInfos &totals);
}

#endif
